package io.renren.modules.admin.controller;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.servlet.http.HttpServletResponse;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import io.renren.common.utils.ExcelUtils;
import io.renren.modules.admin.entity.ExcelEntity;

@RestController
@RequestMapping("admin/excel")
public class ExcelController {
    @PostMapping("test")
    public void excelTest(HttpServletResponse response) throws Exception {
        ExcelEntity data = new ExcelEntity();
        data.setName("用户信息数据");
        //添加表头
        List<String> titles = new ArrayList<String>();
        ArrayList<String> excelInfo = new ArrayList<String>();
        //for(String title: excelInfo.getNames())
        titles.add("姓名");
        titles.add("账号");
        titles.add("部门");
        titles.add("级别");
        titles.add("邮箱");
        data.setTitles(titles);
        //添加列
        List<List<Object>> rows = new ArrayList<List<Object>>();
        List<Object> row = null;
        //    for(int i=1; i<excelInfo.getNames().length;i++){
        //        row=new ArrayList();
        //        row.add(excelInfo.getNames()[i]);
        //        row.add(excelInfo.getAccount()[i]);
        //        row.add(excelInfo.getDept()[i]);
        //        row.add(excelInfo.getGender()[i]);
        //        row.add(excelInfo.getEmail()[i]);
        //        rows.add(row);
        //        row = null;
        //    }
        row=new ArrayList<Object>();
        row.add("张三");
        row.add("123");
        row.add("二号");
        row.add("特级");
        row.add("erer@ewrwr.gf");
        rows.add(row);
        row = null;
        row=new ArrayList<Object>();
        row.add("李四");
        row.add("124");
        row.add("一号");
        row.add("特级");
        row.add("esafdsf@ewrwr.gf");
        rows.add(row);
        row = null;
        data.setRows(rows);

        SimpleDateFormat fdate=new SimpleDateFormat("yyyy-MM-dd-HH-mm-ss");
        String fileName=fdate.format(new Date())+".xls";
        ExcelUtils.exportExcel(response, fileName, data);
    }
}